Bug 1663289 - [Ceph-Dashboard] [No Data] Overall Ceph Health alert due to Prometheus scrape timeout
Summary: [Ceph-Dashboard] [No Data] Overall Ceph Health alert due to Prometheus scrape...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Metrics
Version: 3.1
Hardware: All
OS: All
high
high
Target Milestone: z1
: 3.3
Assignee: Boris Ranto
QA Contact: Uday kurundwade
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1726135
TreeView+ depends on / blocked
 
Reported: 2019-01-03 16:33 UTC by jquinn
Modified: 2019-11-22 06:09 UTC (History)
9 users (show)

Fixed In Version: cephmetrics-2.0.7-1.el7cp
Doc Type: Bug Fix
Doc Text:
.`No data` alerts are no longer generated The {product} Dashboard generated a `No data` alert when a query returns no data. Previously, this alert sent an email to the administrator whenever there was a network outage or a node was down for maintenance. With this update, these `No data` alert are no longer generated.
Clone Of:
Environment:
Last Closed: 2019-10-22 13:29:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3173 None None None 2019-10-22 13:29:20 UTC

Comment 4 Giridhar Ramaraju 2019-08-05 13:09:42 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 5 Giridhar Ramaraju 2019-08-05 13:10:56 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 16 Boris Ranto 2019-08-23 11:19:55 UTC
Upstream PR:

https://github.com/ceph/cephmetrics/pull/243

Comment 20 Uday kurundwade 2019-09-19 11:19:43 UTC
Hi,

Not getting any silent alert mails with "No data" after disabling prometheus module.

Moving this BZ to verified state.

Comment 28 errata-xmlrpc 2019-10-22 13:29:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3173


Note You need to log in before you can comment on or make changes to this bug.